WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.exotic
Interface DirichletBoundaries

All Superinterfaces:
  Boundaries, Serializable

All Known Implementing Classes:
  Dirichlet, SimpleBoundaries

public interface DirichletBoundaries
extends Boundaries

This interface allows the user to supply a custom boundary condition of Dirichlet type. If you use local delivery, it is simpler to extend the Dirichlet abstract class; that way you will not need to implement the type() method inherited from Boundaries. For more details regarding the implementation of this class read the Boundary Conditions section from the Programmers Guide.

Method Summary
`double` `getValueAt(double t, int i, boolean i_max, double[] not_fixed_x, int m)` Returns the value of the option on the boundary.

Methods inherited from interface webcab.lib.finance.options.exotic.Boundaries
`type`

Method Detail

### getValueAt

    public double getValueAt(double t,
                             int i,
                             boolean i_max,
                             double[] not_fixed_x,
                             int m)
                      throws Exception

  Returns the value of the option on the boundary. Must be implemented by the user.

  Parameters:
    `t` - the time
    `i` - the index of the asset with fixed price. Counting begins with 0.
    `i_max` - if true the method returns the value on the high boundary, otherwise it returns the value on the low boundary.
    `not_fixed_x` - - a vector with m - 1 components - the prices of the remaining (not fixed) assets. It represents a point in the m - 1 dimensional space which represents the boundary. (a plane in the m diminsional space). Obs.: if m is 1 (one spatial coordinate <=> unidimensional <=> uni-asset) then the vector has 0 elements. In this case it will not be used to compute the result.
    `m` - - the number of assets (equal to the number of spatial dimensions).
  Returns:
    the value of the option in the case that the i-th asset price is maximum or minimum, according to i_max, and the other m - 1 prices are given in not_fixed_i
    `Exception`

WebCab Options and Futures Demo v2.5 (J2SE Edition)